Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452719 - Nautilus gvfs bookmarks (mounts) do not persist across login sessions
Summary: Nautilus gvfs bookmarks (mounts) do not persist across login sessions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 16:12 UTC by Bryan Christ
Modified: 2015-03-03 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-11 14:14:04 UTC


Attachments (Terms of Use)

Description Bryan Christ 2008-06-24 16:12:24 UTC
Description of problem:
Nautilus gvfs bookmarks do not persist across login sessions

Version-Release number of selected component (if applicable):
nautilus-cd-burner-2.22.1-1.fc9.x86_64
nautilus-extensions-2.22.3-1.fc9.x86_64
nautilus-2.22.3-1.fc9.x86_64
nautilus-sendto-0.14.0-1.fc9.x86_64
totem-nautilus-2.23.2-4.fc9.x86_64
gvfs-fuse-0.2.4-3.fc9.x86_64
gvfs-0.2.4-3.fc9.x86_64

How reproducible:  100%


Steps to Reproduce:
1.  Navigate to a remote resource using the location entry field.  Authenticate
and "Add Bookmark" OR
2.  Open Nautilus.  Select "Connect to server..." and enter login credentials.
3.  At this point your remote resource will be available as a bookmark, icon on
the desktop, or both depending on which connection method you used.
4.  Logout of your Gnome session.
5.  Login
6.  Notice the icon for the remote resource is missing.  Also, if you had
bookmarks in Nautilus, they are gone also.
  
Actual results:
Have to setup remote resources again after logout/login.

Expected results:
Persistent access to remote resources after logout/login.


Additional info:

Comment 1 Bryan Christ 2008-06-25 21:22:20 UTC
This issue appears fixed with the latest gvfs and nautilus updates from
"updates-testing".

Comment 2 Bryan Christ 2008-07-17 14:56:32 UTC
This issue surface yesterday.  I lost ALL of my Nautilus bookmarks after
logout/login.

Comment 3 Bryan Christ 2009-05-21 16:39:55 UTC
This appears to be fixed in later updates to F10 and also in F11.  I would recommend closing this BZ.

Comment 4 Bug Zapper 2009-06-10 01:45:55 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bryan Christ 2009-06-10 14:22:25 UTC
This issue appears to be fixed in later updates to F10 and in F11.

Comment 6 Tomáš Bžatek 2009-06-11 14:14:04 UTC
Closing per reporter request.


Note You need to log in before you can comment on or make changes to this bug.